Subject: bug#39133: 28.0.50; Emacs slowdown on special char

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jan 2020 17:26:45 +0200

> From: Evgeny Zajcev <[email-masked]>
> Date: Tue, 14 Jan 2020 16:21:23 +0300
> 
> I'm experiencing extreme Emacs slowdown when VARIATION SELECTOR-16 char
> is used somewhere in Emacs buffer.  For example, I just executed:
> 
>    (insert "a\xfe0f")
> 
> in *scratch* buffer.  Moving cursor (when this char is visible) become
> unbearable.  Here is the results of cpu profiling:
> 
>   - command-execute                                                 776  62%
>    - call-interactively                                             776  62%
>     - funcall-interactively                                         675  54%
>      - previous-line                                                476  38%
>       - line-move                                                   476  38%
>        - line-move-1                                                476  38%
>         + vertical-motion                                           225  18%

Does it help to set inhibit-compacting-font-caches non-nil?

> As I remember I did not experienced something similar in Emacs 26/27

I don't think Emacs < 27 supported variation selectors, did it?